Bug 1135468 (kf5-kfilemetadata) - Review Request: kf5-kfilemetadata - A Tier 3 KDE Framework for extracting file metadata
Summary: Review Request: kf5-kfilemetadata - A Tier 3 KDE Framework for extracting fil...
Keywords:
Status: CLOSED RAWHIDE
Alias: kf5-kfilemetadata
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
Jan Grulich
URL:
Whiteboard:
: 1179213 (view as bug list)
Depends On:
Blocks: plasma5
TreeView+ depends on / blocked
 
Reported: 2014-08-29 12:06 UTC by Daniel Vrátil
Modified: 2015-11-02 01:38 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-20 13:32:39 UTC
jgrulich: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Daniel Vrátil 2014-08-29 12:06:09 UTC
Spec URL: https://dvratil.fedorapeople.org/plasma5/review/kf5-kfilemetadata.spec
SRPM URL: https://dvratil.fedorapeople.org/plasma5/review/kf5-kfilemetadata-5.0.1-1.fc20.src.rpm
Description: A Tier 3 KDE Framework for extracting file metadata.
Fedora Account System Username: dvratil

Comment 1 Jan Grulich 2014-11-19 11:12:33 UTC
Looks good, no issue spotted.

Rpmlint
-------
Checking: kf5-kfilemetadata-5.0.1-1.fc20.x86_64.rpm
          kf5-kfilemetadata-devel-5.0.1-1.fc20.x86_64.rpm
          kf5-kfilemetadata-5.0.1-1.fc20.src.rpm
kf5-kfilemetadata.x86_64: W: spelling-error Summary(en_US) metadata -> meta data, meta-data, metatarsal
kf5-kfilemetadata.x86_64: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
kf5-kfilemetadata-devel.x86_64: W: only-non-binary-in-usr-lib
kf5-kfilemetadata-devel.x86_64: W: no-documentation
kf5-kfilemetadata.src: W: spelling-error Summary(en_US) metadata -> meta data, meta-data, metatarsal
kf5-kfilemetadata.src: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
kf5-kfilemetadata.src: W: strange-permission kfilemetadata-5.0.1.tar.xz 0640L
3 packages and 0 specfiles checked; 0 errors, 7 warnings.

None of these warnings doesn't seem to be applicable.

Comment 2 Rex Dieter 2014-12-03 19:34:29 UTC
Same as for kf5-libqt-mm (and friend) reviews, we could consider reusing/upgrading the existing fedora kfilemetadata module here.  As far as I can tell, the only stuff in fedora depending on kfilemetadata includes:
baloo
baloo-widgets
dolphin

all of which should have plasma5 versions by the time f22 is released, right?

Comment 3 Daniel Vrátil 2014-12-19 16:22:28 UTC
KFilemetaData will become a KDE Framework in upstream (in KF 5.6 AFAIK), so for the sake of naming consistency, I'd prefer having kf5-kfilemetadata package, and eventually retire kfilemetadata once it's not needed.

Comment 4 Jan Grulich 2015-01-06 12:56:06 UTC
*** Bug 1179213 has been marked as a duplicate of this bug. ***

Comment 5 Daniel Vrátil 2015-01-16 09:53:51 UTC
New Package SCM Request
=======================
Package Name: kf5-kfilemetadata
Short Description: A Tier 3 KDE Framework for extracting file metadata
Upstream URL: http://www.kde.org
Owners: group::kde-sig
Branches: f20 f21
InitialCC:

Comment 6 Gwyn Ciesla 2015-01-16 13:12:25 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.